%define upstream_name    HTTP-Message
%define upstream_version 6.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Class encapsulating HTTP Requests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Raw::Zlib)
BuildRequires: perl(Encode) >= 2.210.0
BuildRequires: perl(Encode::Locale) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Date) >= 6.0.0
BuildRequires: perl(IO::Compress::Bzip2) >= 2.21.0
BuildRequires: perl(IO::Compress::Deflate)
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::HTML)
BuildRequires: perl(IO::Uncompress::Bunzip2) >= 2.21.0
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(IO::Uncompress::Inflate)
BuildRequires: perl(IO::Uncompress::RawInflate)
BuildRequires: perl(LWP::MediaTypes) >= 6.0.0
BuildRequires: perl(MIME::Base64) >= 2.100.0
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(URI) >= 1.100.0
BuildArch:  noarch

%description
An 'HTTP::Config' object is a list of entries that can be matched against
request or request/response pairs. Its purpose is to hold configuration
data that can be looked up given a request or response object.

Each configuration entry is a hash. Some keys specify matching to occur
against attributes of request/response objects. Other keys can be used to
hold user data.

The following methods are provided:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 6.60.0-3.mga4
+ Revision: 512158
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.60.0-2.mga3
+ Revision: 368295
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 6.60.0-1.mga3
+ Revision: 315077
- update to 6.06

* Mon Oct 01 2012 jquelin <jquelin> 6.40.0-1.mga3
+ Revision: 301361
- update to 6.04

* Thu Feb 23 2012 jquelin <jquelin> 6.30.0-1.mga2
+ Revision: 212960
- update to 6.03

* Thu Mar 24 2011 jquelin <jquelin> 6.20.0-1.mga1
+ Revision: 76634
- update to 6.02

* Thu Mar 10 2011 jquelin <jquelin> 6.10.0-1.mga1
+ Revision: 67431
- update to 6.01

* Wed Mar 02 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 62548
- imported package perl-HTTP-Message


* Wed Mar 02 2011 cpan2dist 6.00-1mga
- initial mageia release, generated with cpan2dist
